/*
** Strings
*/

#include <p24Fxxxx.h>
#include <string.h>

#if defined( __PIC24FJ256GB110__ ) || defined( __PIC24FJ256GB106__ )
#define PLL_96MHZ_ON    0xF7FF
_CONFIG1(ICS_PGx2 & JTAGEN_OFF & FWDTEN_OFF)        // JTAG off, watchdog timer off
_CONFIG2( FNOSC_PRIPLL & PLL_96MHZ_ON & PLLDIV_DIV2 & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_XT)
#else                   // PIC24FJ128GA010 and PIC24FJ256GA110
_CONFIG1( ICS_PGx2 & JTAGEN_OFF & GCP_OFF & GWRP_OFF & COE_OFF & FWDTEN_OFF) 
_CONFIG2( FNOSC_PRIPLL & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_HS)
#endif


// 1. variable declarations
const char e[5] = { 'H','E', 'L','L','O'};
const char f[] = "HELLO";
const char a[] = "Learn to fly with the PIC24";
char b[100] = "Initialized";

// 2. main program
main()
{
	TRISA = 0xfe;
	strcpy( b, "MPLAB C30");	// assign new content to b
	PORTA = 1;
} // main
