/*
** Audio PWM demo 
**
** LDJ 7/22/06 v1.1
*/

#define FCY     16000000L           // instruction cycle frequency 
#define TCYxUS  16                  // number of Tcycles in a microsecond
#define B_SIZE  2048                // audio buffer size

extern char ABuffer[ 2][ B_SIZE];   // double data buffer
extern int CurBuf;                  // index of buffer in use
extern volatile int AEmptyFlag;     // flag a buffer needs to be filled

void initAudio( long bitrate, int skip, int size, int stereo, int fix, int pos);
void haltAudio( void);
