//
// Hello Embedded World
//
// LDJ 10/24/05	my first PIC24 program with the MPLAB C30 compiler
//

#include <p24Fxxxx.h>

#if defined( __PIC24FJ256GB110__ ) || defined( __PIC24FJ256GB106__ )
#define PLL_96MHZ_ON    0xF7FF
_CONFIG1(ICS_PGx2 & JTAGEN_OFF & FWDTEN_OFF)        // JTAG off, watchdog timer off
_CONFIG2( FNOSC_PRIPLL & PLL_96MHZ_ON & PLLDIV_DIV2 & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_XT)
#else                   // PIC24FJ128GA010 and PIC24FJ256GA110
_CONFIG1( ICS_PGx2 & JTAGEN_OFF & GCP_OFF & GWRP_OFF & COE_OFF & FWDTEN_OFF) 
_CONFIG2( FNOSC_PRIPLL & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_HS)
#endif
// Note: the MPLAB Config Defaults do not work with PIC24FJ256GB110 (no clocks enabled).
// If the above PLL_96MHZ_ON is not defined, you get:
//   ICD0083: Debug: Unable to enter debug mode. Please double click this message for more information. 


main()
{
	TRISB = 0;		// all PORTB as output
	AD1PCFG = 0xffff;	// set all PORTA analog I/Os to digital
	PORTB = 0xff;	

	TRISA = 0;		// all PORTA as output
	PORTA = 0xff;		// turn on all LEDs
}
