/*
** NTSC Video Text Page Test
**
*/ LDJ rev 1.0 - 5/30/06

#include <p24Fxxxx.h>

#if defined( __PIC24FJ256GB110__ ) || defined( __PIC24FJ256GB106__ )
#define PLL_96MHZ_ON    0xF7FF
_CONFIG1(ICS_PGx2 & JTAGEN_OFF & FWDTEN_OFF)        // JTAG off, watchdog timer off
_CONFIG2( FNOSC_PRIPLL & PLL_96MHZ_ON & PLLDIV_DIV2 & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_XT)
#else                   // PIC24FJ128GA010 and PIC24FJ256GA110
_CONFIG1( ICS_PGx2 & JTAGEN_OFF & GCP_OFF & GWRP_OFF & COE_OFF & FWDTEN_OFF) 
_CONFIG2( FNOSC_PRIPLL & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_HS)
#endif

#include "../graphic/graphic.h"
#include "../textg/TextOnGPage.h"
#include <stdio.h>

#define PI 3.141592654

main()
{
    int i, j, k;
    
    // initializations
    initVideo();    // start the state machines
    
    Clrscr();
    
	while( 1)
	{    
    	AT( 0, 0);
        putsV( "FLYING THE PIC24!");
        AT( 0, 2);
        printf( "PI = %f", PI);
        
        // wait for a button to be pressed
        while (1) 
        {  // wait for a key pressed          
            if ( !_RD6)
            {  // first quadrant
                break;
            }
            if ( !_RD7)
            { // second quadrant
                break;
            }
            if ( !_RA7)
            {  // third quadrant
                break;
            }
            if ( !_RD13)
            { // fourth quadrant
                break;
            }        
        } // wait for a key
        
	} // main loop

} // main
