//
// A loop in the pattern
//
// 
//

#include <p24Fxxxx.h>

#if defined( __PIC24FJ256GB110__ ) || defined( __PIC24FJ256GB106__ )
#define PLL_96MHZ_ON    0xF7FF
_CONFIG1(ICS_PGx2 & JTAGEN_OFF & FWDTEN_OFF)        // JTAG off, watchdog timer off
_CONFIG2( FNOSC_PRIPLL & PLL_96MHZ_ON & PLLDIV_DIV2 & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_XT)
#else                   // PIC24FJ128GA010 and PIC24FJ256GA110
_CONFIG1( ICS_PGx2 & JTAGEN_OFF & GCP_OFF & GWRP_OFF & COE_OFF & FWDTEN_OFF) 
_CONFIG2( FNOSC_PRIPLL & OSCIOFNC_OFF & FCKSM_CSDCMD & POSCMOD_HS)
#endif

#define SHORT_DELAY 5
#define LONG_DELAY	80


char font[30] = { 
	0b11111111,	// H
	0b00001000,
	0b00001000,
	0b11111111,
	0b00000000,
	0b00000000,
	0b11111111,	// E
	0b10001001,
	0b10001001,
	0b10000001,
	0b00000000,
	0b00000000,
	0b11111111,	// L
	0b10000000,
	0b10000000,
	0b10000000,
	0b00000000,
	0b00000000,
	0b11111111,	// L
	0b10000000,
	0b10000000,
	0b10000000,
	0b00000000,
	0b00000000,
	0b01111110,	// O
	0b10000001,
	0b10000001,
	0b01111110,
	0b00000000,
	0b00000000
	};
	
main()
{
	int i;
	
	// 0. 
	TRISB = 	0;		// all PORTB as output
	AD1PCFG = 0xffff;	// all PORTB as digital
	T1CON =   0x8030;   // TMR1 on, prescale 1:256 Tclk/2
	
	// 1.  	
	while( 1)
	{
		for( i=0; i<30; i++)
		{
			PORTB = font[i];
				
			//1.1 
			TMR1 = 		0;
			while ( TMR1 < SHORT_DELAY)
			{
			}
		} // for i
			
		// 1.2 
		PORTB = 0;
		TMR1 = 		0;
		while ( TMR1 < LONG_DELAY)
		{
		}
	} // main loop
} // main
