/********1*********2*********3*********4*********5*********6*********7**********
*
* 	                          pps_exp16.h
* 
*
*  History:
*    05/30/08 - Added to allow PIC24FJ256GB110/GA110 PIMs to be used
*               with the AV32 board on Explorer16.                Wayne Duquaine
*******************************************************************************/

void  init_PPS(int use_sdi1);           // PPS support for GB110 and GA110 PIMs

#if defined(__PIC24FJ256GB110__)  ||  defined(__PIC24FJ256GA110__)
#define EEPROM_SPI_ENSURE_CLOCK_DONE  while(PORTGbits.RG6==1);   // ERRATA
#else
#define EEPROM_SPI_ENSURE_CLOCK_DONE
#endif
